import request from '@/utils/request'

// 查询错题集列表
export function listErrorList(query) {
  return request({
    url: '/school-paper/errorList/list',
    method: 'get',
    params: query
  })
}

// 查询错题集详细
export function getErrorList(id) {
  return request({
    url: '/school-paper/errorList/' + id,
    method: 'get'
  })
}

// 新增错题集
export function addErrorList(data) {
  return request({
    url: '/school-paper/errorList',
    method: 'post',
    data: data
  })
}

// 修改错题集
export function updateErrorList(data) {
  return request({
    url: '/school-paper/errorList',
    method: 'put',
    data: data
  })
}

// 删除错题集
export function delErrorList(id) {
  return request({
    url: '/school-paper/errorList/' + id,
    method: 'delete'
  })
}
